View Issue Details

IDProjectCategoryView StatusLast Update
0001455SymmetricDSBugpublic2014-02-15 14:20
ReportermandreattaAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.10 
Target Version3.5.17Fixed in Version3.5.17 
Summary0001455: Audit tables don't get created
DescriptionAudit table don't get created for InnoDB tables with autoincrement id: a fatal error is thrown.
Steps To Reproduceimport the following configuration:
--------------------
insert into sym_node_group (node_group_id, description)
values ('central', 'test central');
insert into sym_node_group (node_group_id, description)
values ('local', 'dummy group');

insert into sym_node_group_link (source_node_group_id, target_node_group_id, data_event_action)
values ('central', 'local', 'R');

insert into sym_node (node_id, node_group_id, external_id, sync_enabled)
values ('000', 'central', '000', 1);

insert into sym_node_identity values ('000');

insert into sym_channel
(channel_id, processing_order, max_batch_size, enabled, description)
values('general', 1, 100000, 1, 'my channel');

insert into sym_trigger
(trigger_id,source_table_name,channel_id,last_update_time,create_time)
values('test_trigger','test_table','general',current_timestamp,current_timestamp);

insert into sym_router
(router_id,source_node_group_id,target_node_group_id,router_type,create_time,last_update_time)
values('auditcentral', 'central', 'local', 'audit',current_timestamp, current_timestamp);

insert into sym_trigger_router
(trigger_id,router_id,last_update_time,create_time)
values('test_trigger','auditcentral',current_timestamp, current_timestamp);

CREATE TABLE test_table (
id smallint(6) NOT NULL AUTO_INCREMENT,
desc varchar(50) NOT NULL,
PRIMARY KEY (id)
) ENGINE=InnoDB;


-------
Then make some change to test_table like:
INSERT INTO test_table (desc) VALUES ('test');

A running symmetricdb instance should report something like:
[logiko-000] - RouterService - Failed to route and batch data on 'general' channel
org.jumpmind.db.platform.DdlException: org.jumpmind.db.model.ModelException: Column id in table test_table_audit is auto-incrementing but not a primary key column, which is not supported by the platform
...
TagsNo tags attached.

Activities

chenson

2014-02-06 20:53

administrator   ~0000467

Thanks for reporting the issue.

Related Changesets

SymmetricDS: master 547036e2

2014-02-06 20:53:16

chenson

Details Diff
0001455: Audit tables don't get created
0001455
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/AuditTableDataRouter.java Diff File

Issue History

Date Modified Username Field Change
2013-10-28 10:13 mandreatta New Issue
2014-02-06 19:48 chenson Assigned To => chenson
2014-02-06 19:48 chenson Status new => assigned
2014-02-06 19:49 chenson Target Version => 3.5.17
2014-02-06 20:53 chenson Status assigned => resolved
2014-02-06 20:53 chenson Fixed in Version => 3.5.17
2014-02-06 20:53 chenson Resolution open => fixed
2014-02-06 20:53 chenson Note Added: 0000467
2014-02-06 21:00 Changeset attached => SymmetricDS trunk r7924
2014-02-15 14:20 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 547036e2